[@rxap/form-system](../wiki/globals) / UseFunctionDefinition

# Interface: UseFunctionDefinition\<ReturnType, Args, Config\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:32](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts#L32)

## Type Parameters

• **ReturnType** = `unknown`

• **Args** *extends* `any`[] = `any`[]

• **Config** *extends* [`UseFunctionConfig`](../wiki/Interface.UseFunctionConfig)\<`ReturnType`, `Args`\> = [`UseFunctionConfig`](../wiki/Interface.UseFunctionConfig)\<`ReturnType`, `Args`\>

## Properties

### config?

> `optional` **config**: `Config`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:38](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts#L38)

***

### fnc

> **fnc**: [`UseFunctionType`](../wiki/TypeAlias.UseFunctionType)\<`Args`, `ReturnType`\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:37](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts#L37)
